chatbot6
Masuk

chatbot6 API

Kelola semua chatbot Anda dari kode Anda sendiri dengan REST API yang sederhana: tindakan yang sama seperti server MCP dan asisten studio, dengan kunci akun Anda.

Kunci Anda

Masuk untuk melihat kunci Anda. Kunci dibuat otomatis untuk setiap akun.

Masuk

Alamat dasar

https://chatbot6.com/api/v1

Autentikasi

Kirim kunci Anda di header Authorization. Setiap kunci dapat membuat 120 permintaan per menit. Tambahkan ?lang=tr (atau kode bahasa lain) untuk mendapatkan tautan dalam bahasa tersebut.

Authorization: Bearer your_key

Endpoint

GET/chatbotsDaftar chatbot Anda beserta status, pelanggan, dan tautan.

Contoh

curl https://chatbot6.com/api/v1/chatbots \
  -H "Authorization: Bearer your_key"
POST/chatbotsBuat draf chatbot. Body: name, dan opsional tagline, category, instructions, greeting, locale.

Contoh

curl -X POST https://chatbot6.com/api/v1/chatbots \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"name":"Support bot","category":"support","locale":"en"}'
GET/chatbots/{id}Detail lengkap chatbot: teks, instruksi, model, paket, dan 30 hari terakhir.

Contoh

curl https://chatbot6.com/api/v1/chatbots/{id} \
  -H "Authorization: Bearer your_key"
PATCH/chatbots/{id}Hanya mengubah field yang Anda kirim: name, tagline, keywords, category, instructions, greeting, starters, features, color, locale, folderId.

Contoh

curl -X PATCH https://chatbot6.com/api/v1/chatbots/{id} \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"greeting":"Hi! How can I help?"}'
PUT/chatbots/{id}/knowledgeGanti atau tambah teks pengetahuan. Body: text dan mode (replace atau append).

Contoh

curl -X PUT https://chatbot6.com/api/v1/chatbots/{id}/knowledge \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"text":"Opening hours: 9 to 18.","mode":"append"}'
POST/chatbots/{id}/publishTerbitkan ({"live": true}) atau kembalikan ke draf ({"live": false}).

Contoh

curl -X POST https://chatbot6.com/api/v1/chatbots/{id}/publish \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"live":true}'
GET/chatbots/{id}/postsPostingan blog situs chatbot beserta statusnya.

Contoh

curl https://chatbot6.com/api/v1/chatbots/{id}/posts \
  -H "Authorization: Bearer your_key"
POST/chatbots/{id}/postsPostingan blog baru (title, body dalam Markdown, summary, publishAt, draft), atau {"ai": true, "topic": "..."} agar AI yang menulisnya.

Contoh

curl -X POST https://chatbot6.com/api/v1/chatbots/{id}/posts \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"ai":true,"topic":"Five ways to answer customers faster"}'
PUT/chatbots/{id}/posts/{postId}Ganti postingan blog dengan judul dan isi lengkap.

Contoh

curl -X PUT https://chatbot6.com/api/v1/chatbots/{id}/posts/{postId} \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"title":"Hello","body":"Updated text in **Markdown**."}'
DELETE/chatbots/{id}/posts/{postId}Hapus postingan blog.

Contoh

curl -X DELETE https://chatbot6.com/api/v1/chatbots/{id}/posts/{postId} \
  -H "Authorization: Bearer your_key"
GET/foldersFolder studio.

Contoh

curl https://chatbot6.com/api/v1/folders \
  -H "Authorization: Bearer your_key"
POST/foldersBuat folder. Body: name.

Contoh

curl -X POST https://chatbot6.com/api/v1/folders \
  -H "Authorization: Bearer your_key" \
  -H "Content-Type: application/json" \
  -d '{"name":"Clients"}'
GET/statsAngka Anda selama 30 hari terakhir untuk semua chatbot.

Contoh

curl https://chatbot6.com/api/v1/stats \
  -H "Authorization: Bearer your_key"

Kesalahan

Kesalahan mengembalikan {"error": "<code>"}: 401 kunci tidak ada atau salah, 400 input tidak valid, 404 tidak ditemukan, 409 batas tercapai, 429 terlalu banyak permintaan.

Menggunakan aplikasi AI? Hubungkan server MCP. Setiap chatbot juga memiliki API dan server MCP sendiri untuk penggunanya (chat dan blog). Anda dapat menemukannya di halaman developer situs chatbot.

chatbot6 API | chatbot6